package body MSHTML.IHTMLLinkElement4_Object is

   procedure Put_href
     (This : IHTMLLinkElement4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLLinkElement4_Put_href,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_href;

   function Get_href
     (This : IHTMLLinkElement4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLLinkElement4_Get_href);
   end Get_href;

end MSHTML.IHTMLLinkElement4_Object;

